#
# spec file for package gnome-usage
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-usage
Version:        0.4.5~20180114.6452220
Release:        lp150.1.6
Summary:        System resources viewer for GNOME
License:        GPL-3.0
Group:          System/GUI/GNOME
URL:            https://wiki.gnome.org/Apps/Usage
Source:         %{name}-%{version}.tar.xz

BuildRequires:  meson >= 0.37.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(accountsservice)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.38
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20.10
BuildRequires:  pkgconfig(libgtop-2.0)
Recommends:     %{name}-lang

%description
GNOME Usage is a program to view information about the use of system
resources, like memory and disk space.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file -G 'System Monitor' org.gnome.Usage 'GTK;System;Monitor'

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Usage.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Usage.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/org.gnome.Usage.appdata.xml

%files lang -f %{name}.lang

%changelog
* Mon Feb  5 2018 jengelh@inai.de
- Update description.
* Wed Jan 24 2018 bjorn.lie@gmail.com
- Update to version 0.4.5~20180114.6452220:
  + license: Add correct license file with GPLv3.
  + Updated translations.
- Switch Licence tag ref upstreams correction.
* Thu Jan  4 2018 zaitor@opensuse.org
- Update to version 0.4.5~20180103.65d5f93:
  + swap-speedometer: Initialize label to "0%%".
  + Updated translations.
* Fri Dec 22 2017 zaitor@opensuse.org
- Initial packaging for openSUSE.
